socket_clear_error
socket_cmsg_space
Socket Functions
PHP Manual

# socket_close

Closes a socket resource

### Description

void socket_close ( resource `$socket` )

socket_close closes the socket resource given by `socket`. This function is specific to sockets and cannot be used on any other type of resources.

### Parameters

`socket`

  A valid socket resource created with socket_create or socket_accept.

### Return Values

No value is returned.

### See Also

- socket_bind
- socket_listen
- socket_create
- socket_strerror